import React from 'react';
import Styled from 'styled-components/native';

const Container = Styled.View`
    flex: 1;
    flex-direction: column;
    background-color: #ffffff;
`;
const ContentArea = Styled.View`
    flex: 1;
    background-color: #ffffff;
`;

const EmptyLayout = ({children}) => {
    return (
        <Container>
            <ContentArea>{children}</ContentArea>
        </Container>
    )
}

export default EmptyLayout;